;;; init-theme.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
(use-package doom-themes
  :pin "MELPA"
  :ensure t
  :bind
  ("C-x t d" . dark-theme)
  ("C-x t l" . light-theme)

  :init
  (defun light-theme ()
    "Activate light colortheme"
    (interactive)
    (load-theme 'doom-one-light)
    (delete-selection-mode 1)
    )

  (defun dark-theme ()
    "Activate dark colortheme"
    (interactive)
    (load-theme 'doom-molokai)
    (delete-selection-mode 1)
    ;; Invoke customcolors
    (customcolors)
    )
  ;; Invoke theme
  (load-theme 'doom-molokai t)

  :config
  (defun customcolors ()
    "Simple customcolors for theme."
    (set-cursor-color "#268bd2")
    (set-face-background 'highlight "#268bd2")

    ;; Fix linum current-line highlight
    (defface my-linum-hl
      '((t :background "gray20" :foreground "gold"))
      "Face for the currently active Line number"
      :group 'linum))

  ;; Invoke customcolors
  (customcolors)
  )

(provide 'init-theme)

;;; init-theme.el ends here
